Bug 15413 - Action Add column to a index re-create the index as unique
Action Add column to a index re-create the index as unique
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
Sun Other
: P4 (vote)
: 3.x
Assigned To: Radko Najman
issues@db
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-12 15:34 UTC by issues@www
Modified: 2005-03-09 04:28 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 2001-09-12 15:34:01 UTC
Description: 
Tested in build 010803_CE.

- enable debug mode from popup menu on "Databases" node
- connect to a database in DBExplorer
- add non-unique index (right click on "Indexes" node and select "Add Index"; 
choose one column and click OK)
- add column to this index (right click on index's node and select "Add 
Column"; choose a column and click OK)
- in output window you can see that unique index was created instead


Evaluation: 
A property UNIQUE is evaluated badly in AddToIndexAction class.

A comment.
Comment 1 Jiri Rechtacek 2001-12-03 17:31:36 UTC
Reassigning to Radko.

Comment 2 Radko Najman 2004-02-04 16:40:12 UTC
Unique flag wasn't recognized correctly.
Fixed.
Comment 3 Jiri Skrivanek 2004-02-05 09:23:26 UTC
Verified in build 200402042045.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo